Netflix says 'Unable to Purchase.'

If you see an error on your iPhone, iPad, or iPod touch that says

Unable to Purchase
"Netflix" is not compatible with this device

It typically indicates that your device is not compatible with the most recent version of the Netflix app. Follow the steps to check your iOS version below to determine if you can download Netflix on this device.

Check your iOS version

To download the Netflix app, your iPhone, iPad, or iPod touch must be running iOS 14.0 or later.

To check the version:

  1. Go to Settings.

  2. Scroll down and select General.

  3. Select About.

  4. Your version number will be listed next to Version.

If your iOS is earlier than 14.0 but you've downloaded the Netflix app in the past, see the Apple support site for instructions on downloading an earlier version of Netflix.

If your iOS is earlier than 14.0 but you haven't downloaded the Netflix app in the past, you'll need to use another device to watch Netflix.

If your iOS is below 5.0, you will need to use another device to stream Netflix.